#ifdef VHDL

/*
 * $Id: Vhdl_set_port.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::set_port"
  void Vhdl::set_port (std::string      name     ,
		       direction_t direction,
		       std::string      type     )
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    set_list (_list_port, name + "\t: " + direction_toString(direction) + " " + type);
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

  void Vhdl::set_port (std::string      name     ,
		       direction_t direction,
		       uint32_t    size     )
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    set_port(name,direction,std_logic(size));
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
    
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
